package com.wecloud.utils;

import java.util.Base64;

/**
 * @Author wenzhida
 * @Date 2022/2/21 22:37
 * @Description BASE64加密/解密
 */
public class Base64Util {

    /***
     * BASE64解密
     * @param key
     * @return
     * @throws Exception
     */
    public static byte[] decryBASE64(String key) throws Exception {
        Base64.Decoder decoder = Base64.getDecoder();
        return decoder.decode(key);
    }

    /***
     * BASE64加密
     * @param key
     * @return
     * @throws Exception
     */
    public static String encryptBASE64(byte[] key) throws Exception {
        Base64.Encoder encoder = Base64.getEncoder();
        return encoder.encodeToString(key);
    }

}
